Summary: An open source game that blends a team based FPS with elements of an RTS
Name: tremulous
Version: 1.2.0
Release: %mkrel 0.beta1.4

# To get the source tarball:
# svn export svn://svn.icculus.org/tremulous/tags/RELEASE_GPP1/ tremulous-1.2.beta1
# rm -rf tremulous-1.2.beta1/src/tools/lcc/
# tar -czf tremulous-1.2.0.beta1.tar.gz tremulous-1.2.beta1
Source0:        tremulous-1.2.0.beta1.tar.gz
# Source0: http://ovh.dl.sourceforge.net/sourceforge/tremulous/%{name}-%{version}.zip

# http://www.gnome-look.org/content/show.php?content=42942
Source1: http://www.gnome-look.org/content/files/42942-Tremulous2.png
Patch0: tremulous-1.2.0-fedora-dll-overwrite.patch
Patch1: tremulous-fedora-getstatus-dos.patch
License: GPLv2+ 
Group: Games/Arcade
Url: http://tremulous.net
BuildRequires: libSDL-devel libopenal-devel mesagl-devel freetype2-devel
BuildRequires: libvorbis-devel
BuildRequires: libcurl-devel
BuildRequires: libspeex-devel
Requires: %name-data

%description
Tremulous is a free, open source game that blends a team based FPS
with elements of an RTS.
Players can choose from 2 unique races, aliens and humans. 
Players on both teams are able to build working structures in-game like an RTS.
These structures provide many functions, the most important being spawning.
The designated builders must ensure there are spawn structures or 
other players will not be able to rejoin the game after death.
Other structures provide automated base defense (to some degree), 
healing functions and much more...

Player advancement is different depending on which team you are on.
As a human, players are rewarded with credits for each alien kill.
These credits may be used to purchase new weapons and upgrades from the Armoury
The alien team advances quite differently. Upon killing a human foe,
the alien is able to evolve into a new class.
The more kills gained the more powerful the classes available.

The overall objective behind Tremulous is to eliminate the opposing team.
This is achieved by not only killing the opposing players but also 
removing their ability to respawn by destroying their spawn structures.

%prep
%setup -q -n tremulous-1.2.beta1
%patch0 -p1 -b .dll-overwrite
%patch1 -p1 -b .getstatus-dos

# Rip out the bundled libraries and use the
# system versions instead
rm -r src/SDL12 src/AL src/libcurl src/libspeex src/libs

%build
# the CROSS_COMPILING=1 is a hack to not build q3cc and qvm files
# since we've stripped out q3cc as this is not Free Software.
make %{?_smp_mflags} \
    OPTIMIZE="$RPM_OPT_FLAGS -fno-strict-aliasing -ffast-math" \
    DEFAULT_BASEDIR=\"%{_gamesdatadir}/%name\" USE_CODEC_VORBIS=1 \
    USE_LOCAL_HEADERS=0 BUILD_GAME_SO=0 GENERATE_DEPENDENCIES=0 \
    CROSS_COMPILING=1 USE_INTERNAL_SPEEX=0 USE_INTERNAL_ZLIB=0

%install
install -d %{buildroot}%{_gamesbindir}
install -m 0755 build/release-linux-*/tremded.* \
  %{buildroot}%{_gamesbindir}/tremded
install -m 0755 build/release-linux-*/tremulous.* \
  %{buildroot}%{_gamesbindir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Tremulous
Comment=Team based FPS/RTS
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%clean

%files
%defattr(-,root,root)
%doc COPYING GPL ChangeLog
%{_gamesbindir}/%{name}
%{_gamesbindir}/tremded
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop



%changelog

* Thu Apr 26 2012 zezinho <zezinho> 1.2.0-0.beta1.4.mga2
+ Revision: 233431
- security patch from fedora to fix #5496

* Tue Mar 06 2012 zezinho <zezinho> 1.2.0-0.beta1.3.mga2
+ Revision: 220521
- remove soundwrapper from menu as it is not used anymore

  + stormi <stormi>
    - increase release so that it's higher than in mageia 1

* Mon Jul 04 2011 zezinho <zezinho> 1.2.0-0.beta1.1.mga2
+ Revision: 118565
- fix build requires
- fix build requires
- imported package tremulous


* Sat Jul 02 2011 José Jorge <lists.jjorge@free.fr> 1.2.0-0.1.beta1.mga1
- rpm started from Fedora as Mandriva one fails to run
